export 'src/guide.dart';
export 'src/help.dart';

import 'package:flutter/material.dart';
import 'package:help_me/src/guide.dart';
import 'package:help_me/src/help.dart';

class HelpMe {
  static showHelp(
      {required List<HelpMeItem> items,
      required BuildContext pageContext,
      Widget? nextWidget,
      Color? color,
      Gradient? gradient,
      required Stream<HelpAction> actions,
      Widget? skipWidget}) {
    showModalBottomSheet(
        elevation: 0,
        context: pageContext,
        backgroundColor: Colors.transparent,
        isScrollControlled: true,
        barrierColor: Colors.transparent,
        builder: (_) {
          return Help(
            nextButton: nextWidget,
            skipButton: skipWidget,
            guides: items,
            gradient: gradient,
            color: color,
            helpActions: actions,
            pageContext: pageContext,
          );
        });
  }
}

enum HelpAction { NEXT, BACK, SKIP }
